Subject: Re: [PATCH 1/4] list-object: add get_commit_count function

From: Jeff King <[email-masked]>
Date: Fri, 3 Jul 2015 14:36:53 -0400

On Fri, Jul 03, 2015 at 10:49:40AM -0700, Junio C Hamano wrote:

> Lawrence Siebert <[email-masked]> writes:
> 
> > Moving commit counting from rev-list into list-object which is a step
> > toward letting git log do counting as well.
> >
> > Signed-off-by: Lawrence Siebert <[email-masked]>
> > ---
> 
> No way.  Look at the things provided by list-objects.c API.  They
> are not about formatting outputs.  printf() calls do not belong
> there.

Moreover, if we are going to provide an abstracted function to show the
commit count, we would also need to provide one to _create_ the count.
IOW, this get_commit_count, wherever it goes, should be accompanied by
the matching code that is put into "show_commit" in patch 2.

-Peff